using Otter;
using PpbbffttMiningHa.entities.Controllers;
using PpbbffttMiningHa.scenes;
using PpbbffttMiningHa.Utility;

namespace PpbbffttMiningHa
{
    class Program
    {
        static void Main(string[] args)
        {
            Global.GAME = new Game("PPBBFFTT Mining HA!", 720, 480)
            {
                MouseVisible = true
            };
            Global.GAME.SetWindow(1440, 960);
            Global.GAME.WindowX = 320;
            Global.GAME.WindowY = 10;
            Global.GAME.EnableQuitButton = false;//ah HA now esc can't close the game... YET! (i get to determine when the game closes now)
            Session app = Global.PlayerSession = Global.GAME.AddSession("Player");
            Session pp = Global.PausePersonSession = Global.GAME.AddSession("PausePerson");
            //start the controllers here so we have access to them.
            new Controllers();
            //import player saved data
            app.Data.Import();
            pp.Data.Import();
            SetControllerInputs.SetController(app, pp);
            app.Data.Export();
            pp.Data.Export();
            //initiate SOUND!
            new SoundManager();

            //Global.GAME.FirstScene = new LevelFour();//testing Comment this out when releaseing
            Global.GAME.FirstScene = new TitleScreen();//This is the normal first load. <--- uncomment it when ready to full test and launch.
            Global.GAME.Start();
        }

    }
}

